package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "DIServerProperties",
   propOrder = {"diServerName", "repositoryname", "canInfaServerDebugMapping", "diServerMode", "diServerVersion", "currentTime", "startupTime", "productName"}
)
public class DIServerProperties {
   @XmlElement(
      name = "DIServerName",
      required = true,
      nillable = true
   )
   protected String diServerName;
   @XmlElement(
      name = "Repositoryname",
      required = true,
      nillable = true
   )
   protected String repositoryname;
   @XmlElement(
      name = "CanInfaServerDebugMapping"
   )
   protected boolean canInfaServerDebugMapping;
   @XmlElement(
      name = "DIServerMode",
      required = true,
      nillable = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected EDIServerMode diServerMode;
   @XmlElement(
      name = "DIServerVersion",
      required = true,
      nillable = true
   )
   protected String diServerVersion;
   @XmlElement(
      name = "CurrentTime",
      required = true,
      nillable = true
   )
   protected DIServerDate currentTime;
   @XmlElement(
      name = "StartupTime",
      required = true,
      nillable = true
   )
   protected DIServerDate startupTime;
   @XmlElement(
      name = "ProductName",
      required = true,
      nillable = true
   )
   protected String productName;

   public String getDIServerName() {
      return this.diServerName;
   }

   public void setDIServerName(String value) {
      this.diServerName = value;
   }

   public String getRepositoryname() {
      return this.repositoryname;
   }

   public void setRepositoryname(String value) {
      this.repositoryname = value;
   }

   public boolean isCanInfaServerDebugMapping() {
      return this.canInfaServerDebugMapping;
   }

   public void setCanInfaServerDebugMapping(boolean value) {
      this.canInfaServerDebugMapping = value;
   }

   public EDIServerMode getDIServerMode() {
      return this.diServerMode;
   }

   public void setDIServerMode(EDIServerMode value) {
      this.diServerMode = value;
   }

   public String getDIServerVersion() {
      return this.diServerVersion;
   }

   public void setDIServerVersion(String value) {
      this.diServerVersion = value;
   }

   public DIServerDate getCurrentTime() {
      return this.currentTime;
   }

   public void setCurrentTime(DIServerDate value) {
      this.currentTime = value;
   }

   public DIServerDate getStartupTime() {
      return this.startupTime;
   }

   public void setStartupTime(DIServerDate value) {
      this.startupTime = value;
   }

   public String getProductName() {
      return this.productName;
   }

   public void setProductName(String value) {
      this.productName = value;
   }
}
